summaryrefslogtreecommitdiffstats
path: root/misc/gramps
diff options
context:
space:
mode:
author Bill Kirkpatrick2010-05-12 23:31:39 +0200
committer David Somero2010-05-12 23:31:39 +0200
commita5ff76d45e5204af3a98381634e56ad91a8c2ad4 (patch)
treec4ca782a50181d3def1a34978e21bec920bdd3f6 /misc/gramps
parent2e3219fef5401fecedce1ad4369cb7eefc3464ef (diff)
downloadslackbuilds-a5ff76d45e5204af3a98381634e56ad91a8c2ad4.tar.gz
misc/gramps: Added to 12.2 repository
Diffstat (limited to 'misc/gramps')
-rw-r--r--misc/gramps/README18
-rw-r--r--misc/gramps/doinst.sh13
-rw-r--r--misc/gramps/gramps.SlackBuild79
-rw-r--r--misc/gramps/gramps.info8
-rw-r--r--misc/gramps/slack-desc20
5 files changed, 138 insertions, 0 deletions
diff --git a/misc/gramps/README b/misc/gramps/README
new file mode 100644
index 0000000000..87a0f0678f
--- /dev/null
+++ b/misc/gramps/README
@@ -0,0 +1,18 @@
+GRAMPS is a genealogy program for Linux and other UNIX-like
+systems. GRAMPS stands for Genealogical Research and Analysis
+Management Programming System. GRAMPS helps you track your family
+tree. It allows you to store, edit, and research genealogical data.
+
+GRAMPS requires:
+ORBit2, libbonobo, gnome-mime-data, gconf, gnome-vfs, libgnome,
+gnome-python available at SlackBuilds.org.
+
+Building in the above order will fulfill interdependencies.
+
+GRAMPS can use:
+gtkspell, xdg-utils, desktop-file-utils, included in Slackware.
+libgnomeprint, graphviz, Inkscape, ttf-freefont available from
+SlackBuilds.org
+
+GRAMPS currently has no Help/manual package. You can download a
+wiki-style manual from the homepage.
diff --git a/misc/gramps/doinst.sh b/misc/gramps/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/misc/gramps/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/misc/gramps/gramps.SlackBuild b/misc/gramps/gramps.SlackBuild
new file mode 100644
index 0000000000..4852ed7a5d
--- /dev/null
+++ b/misc/gramps/gramps.SlackBuild
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+# Slackware build script for gramps
+
+# Written by Bill Kirkpatrick <bkirkp@gmail.com>
+
+PRGNAM=gramps
+VERSION=${VERSION:-3.1.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING FAQ INSTALL NEWS TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/misc/gramps/gramps.info b/misc/gramps/gramps.info
new file mode 100644
index 0000000000..15b89c333a
--- /dev/null
+++ b/misc/gramps/gramps.info
@@ -0,0 +1,8 @@
+PRGNAM="gramps"
+VERSION="3.1.1"
+HOMEPAGE="http://www.gramps-project.org/"
+DOWNLOAD="http://downloads.sourceforge.net/gramps/gramps-3.1.1.tar.gz"
+MD5SUM="c99ddec4a984989202e25c667fce9984"
+MAINTAINER="Bill Kirkpatrick"
+EMAIL="bkirkp@gmail.com"
+APPROVED="dsomero"
diff --git a/misc/gramps/slack-desc b/misc/gramps/slack-desc
new file mode 100644
index 0000000000..58bb4ed5f2
--- /dev/null
+++ b/misc/gramps/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gramps: GRAMPS (genealogy program)
+gramps:
+gramps: Genealogical Research and Analysis Management Programming System
+gramps: GRAMPS is a genealogy program for Linux and other UNIX-like systems.
+gramps: GRAMPS stands for Genealogical Research and Analysis Management
+gramps: Programming System. GRAMPS helps you track your family tree. It
+gramps: allows you to store, edit, and research genealogical data.
+gramps:
+gramps: Homepage: http://www.gramps-project.org/
+gramps:
+gramps:
+